<!DOCTYPE html>
<html>
  <head>
    <title>Task</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <%= stylesheet_link_tag "tailwind", "inter-font", "data-turbo-track": "reload" %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <%= javascript_importmap_tags %>
  </head>

  <body>
    <div class="min-h-screen max-w-screen-lg mx-auto">
      <header class="h-[60px] flex justify-between items-center px-2">
        <%= link_to root_path do %>
          <h1 class="font-bold text-4xl">
            Task
          </h1>
        <% end %>
        <% if user_signed_in? %>
          <%= link_to 'ログアウト', destroy_user_session_path, data: { turbo_method: :delete } %>
        <% else %>
          <%= link_to 'ログイン', new_user_session_path %>
        <% end %>
      </header>
      <main class="mx-auto px-4">
        <%= yield %>
      </main>
      <footer class="absolute bottom-0 w-full max-w-screen-lg text-center">
        <small>©ayumi.srk</small>
      </footer>
    </div>
  </body>
</html>
